commit 2edeeb998a55c5f4d6e7ebda2bbd9d075c1f81c6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 29 10:26:59 2011 +1000

    aiptek 1.4.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dc276f43b3ad03437635cc125de5905ec403c15d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 29 09:58:40 2011 +1000

    Remove references to other devices after shutdown.
    
    deviceArray keeps a ref to each InputInfoPtr this driver (on this device)
    handles. These need to be unset and removed, otherwise an event coming in
    after the shutdown of one device may dereference an invalid pointer.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 62413b8a00a837d28b6135d752ed5bdb0aa3f162
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 29 09:47:17 2011 +1000

    Don't rely on freed memory to keep values.
    
    Setting Capacity to a magic value, then freeing the struct and hoping that
    the next Uninit call still has the right value in it is hopeful at best.
    Use the refcounting that we already have in the driver instead.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 51cf6923be5502cb491fe6d1df1dc8b9a410ce87
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 27 03:48:06 2011 +1000

    Don't pretend successfully opening the device is an error.
    
    I mean, you shouldn't be running this driver and all, but still -
    success is success.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b48e5e47ba5c952c8a7a6aeb08d875be8682fe32
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 27 03:37:01 2011 +1000

    Only free the device->common if we actually have a device.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d494cb0107dfb618e5fda70994bbec7d0855b231
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 27 03:34:59 2011 +1000

    Don't call DEVICE_OFF in UnInit.
    
    The server guarantees that if we ever hit this bit, the device is
    already off.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8a8693bda6e8a7d4acbf0e680570d45f71b122cc
Author: Cyril Brulebois <kibi@debian.org>
Date:   Wed May 4 03:18:44 2011 +0200

    xf86-input-aiptek 1.4.0
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit 4691e88b8c9b187e1fb9e8a8f8266297a0ee60b6
Author: Cyril Brulebois <kibi@debian.org>
Date:   Wed May 4 03:17:52 2011 +0200

    Remove leftover configure check on randrproto.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit 74af23f20662f06e34325fb29ac55e16547707b3
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Mon Jan 17 23:04:50 2011 -0500

    Address compiler warning.
    
    When compiling gcc warns:
    
        'rc' may be used uninitialized in this function
    
    which is plausible if none of the "if/else" cases are matched.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Julien Cristau <jcristau@debian.org>

commit 95b89123904fd62e0e253ffd4ce3c4d8359d5ed6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:59:33 2010 +1000

    Support input ABI 12.
    
    New PreInit() prototype, extra valuator modes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 26f171f205bfd6f7a51ed273ef9ac5ae7ebc1a86
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:52:34 2010 +1000

    Remove unused bell and kbd callbacks.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 7708830a034fd5a0ad696007ed11d3b6c558e178
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:45:47 2010 +1000

    Drop unused DeviceAssocRec
    
    Dropped from the server for not being referenced anywhere, see commit below
    
    commit 2b7840b63da6bc00aa40e8a427d9fd719ba5e6d0
    Author: Peter Hutterer <peter.hutterer@who-t.net>
    Date:   Fri Jul 30 13:44:20 2010 +1000
    
        xfree86: remove unused DeviceAssocRec struct.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 5f08edaba640b43df462f77143e657d58181bf21
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:43:06 2010 +1000

    Drop close_proc, conversion_proc, reverse_conversion_proc
    
    All three aren't called by the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit d48d8f9b89bbdf703fb42477f1ec86d6b6db51ee
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:41:28 2010 +1000

    Use pInfo->name instead of dev->identifier
    
    no functional changes, prep work for ABI 12
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 91d3f3ac38042f180dfccd504a9c335de687b657
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:33:53 2010 +1000

    unifdef XFree86LOADER
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit f1799792c76b3b11326d4b8b54522cc9e55fca80
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:33:08 2010 +1000

    drop xf86Verbose define
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 229f67067aa966099f1fb14e70507b77f78984b2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:30:50 2010 +1000

    Drop XCONFIG_PROBED and XCONFIG_GIVEN defines.
    
    XCONFIG_PROBED is the same as X_PROBED.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit bb25093da1f9b8252b2094179476ebe216575c29
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:29:02 2010 +1000

    Sanitize DBG macro.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit e10f32bfcc3a84c34caa319088a4711f50d91118
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 11:23:34 2010 +1000

    Replace ErrorF with xf86Msg
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 375b0d779eb58186a8181af08175079b28231afd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 10:58:13 2010 +1000

    Remove refcount field, removed from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit fb442b1b868d0c0bfb2e9d1ba9b3aebb322c03fb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 10:57:20 2010 +1000

    Remove unused "identification" variable.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 17a8a52c34cdb25cf31ae6ca0fd2c741b6ce517c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 10:49:47 2010 +1000

    Require server 1.9, drop pre-ABI 11 support.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 6d056bf2d07b044da17d741e900226c3ab6d9b83
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Sep 11 01:37:15 2010 +1000

    Don't handle history_size in the driver.
    
    This has been handled in the server for quite a while now, just initialize
    with the defaults and ignore it otherwise.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 64e4b364cc01b9ada3f2afa0c5c4763b94f07854
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Sep 11 01:36:08 2010 +1000

    Purge use of PRIVATE and XI_PRIVATE macros.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 0911f48f93e76cc8b6d6037d8ecbca03367f4c51
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 10 11:07:02 2010 +1000

    Move default_options up in preparation for ABI 12
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 28eeb2bdfebf18500c307f70c3af687e58bed2d0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 10 11:04:42 2010 +1000

    Remove usage of XI86_POINTER_CAPABLE flag.
    
    Flag was write-only for a number of server generations already.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 8f26efea050627e4544ed3d92c6e63014eb679eb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 10 11:03:17 2010 +1000

    Replace LocalDevicePtr with InputInfoPtr
    
    LocalDevicePtr was removed with input ABI 12, but InputInfoPtr has been
    around for years anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Trevor Woerner <twoerner@gmail.com>

commit 9952bd4c6f0bdc15acf3ca7c83e8eae61f4fcdc1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 2 10:41:17 2010 +1000

    Bump to 1.3.99

commit bdb217fe5a83c19f4ee85764f2f6a9edaaffbbc6
Author: Jesse Adkins <jesserayadkins@gmail.com>
Date:   Tue Sep 28 13:29:50 2010 -0700

    Purge cvs tags.
    
    Signed-off-by: Jesse Adkins <jesserayadkins@gmail.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit d81c7423dd80a67809faa42aa44b381d698ab6f8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 10 11:00:12 2010 +1000

    Remove libc wrappers for xalloc, xfree, etc.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 799d13a3ac1f15ebca3625183340379840beb2f3
Author: Adam Jackson <ajax@redhat.com>
Date:   Tue Aug 10 10:28:26 2010 -0400

    xf86-input-aiptek 1.3.1
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>

commit 209b9147799079981db4abebdbac093dec59d5a5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 27 19:35:46 2010 -0400

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7a08e526ad7ebe2702269d5a0a048f62b1bfbca1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu May 27 19:34:40 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e4976108867158f0c90cd1023595f858bea1ea56
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Apr 17 18:52:54 2010 -0400

    man: Use Autoconf provided $(AM_V_GEN)$(SED)
    
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 39f1c78b01fb8f2c0450f02c8f5a6329dff6dd04
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Apr 15 10:46:42 2010 -0400

    config: fix warnings, m4 quoting and layout
    
    Fix some m4 quoting
    Fix some autoconf warnings
    Regroup statements per section
    Add comments
    Upgrade X.Org macros to 1.4 for INSTALL file copying
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 43cdbc01fb1f7197134434b7db00705e4e6c8d56
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Apr 15 10:24:16 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e97e0199a722bdfa30ef0ba070f421e01987ce25
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Apr 15 10:22:35 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements at the top.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a4da6aa6996c7030b48b39eafbadeed8e512010e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Apr 15 10:20:43 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c0aa30c9d92617d0febe521780588e095569216a
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Apr 11 14:04:39 2010 -0400

    config: use AC_CHECK_LIB to verify library and add -lm to LIBS
    
    Ensures library is present and contains the desired symbol.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 0d88d9fb6f1200126212dd45cbddc08f3b75ebfb
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Apr 11 10:59:21 2010 -0400

    config: replace hard-coded -DLINUX_INPUT with proper AC_CHECK_HEADERS
    
    Not all platforms have Linux kernel input subsystem.
    Automake AC_CHECK_HEADERS is designed for that purpose.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2996458c2fc88671ba8626de984b2f082042dc62
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun Apr 11 10:21:40 2010 -0400

    config: remove AH_TOP autoheader statement
    
    The generated config.h does not need to include xorg-server.h
    for the content it provides.
    Add #include <xorg-server.h> in .[hc] files as needed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit be8297b5edd06e8cbf41b06da4588d5f548e627b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat Jun 12 09:41:05 2010 -0400

    COPYING: replace stub file with Copyright notices
    
    Copyright 2003 by Bryan W. Headley
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit d87747df73114953ac39f3d77ca146adc3b80088
Author: Olivier Samyn <code@oleastre.be>
Date:   Wed Feb 24 00:24:02 2010 +0100

    aiptek: Add keyboard feedback struct initialization.
    
    Without a call to InitKbdFeedbackClassDeviceStruct, no keyboard events
    are seen by xev. This adds the call and required callback functions.
    
    Signed-off-by: Olivier Samyn <code@oleastre.be>
    
    [This patch only fixes the case for X server 1.6 and earlier.]
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit deb7cb9c89c64f61c870b5eaf8029a600077aecc
Author: Olivier Samyn <code@oleastre.be>
Date:   Wed Feb 24 00:12:42 2010 +0100

    aiptek: Initialize the keymap with 256 items.
    
    X.Org keymap requires at least 256 defined entries. This patch
    initialize the keymap with the required entries count.
    
    Signed-off-by: Olivier Samyn <code@oleastre.be>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 01d39e1efea68797b27231fecc8535b440e87ae4
Author: Olivier Samyn <code@oleastre.be>
Date:   Sun Feb 21 00:22:28 2010 +0100

    aiptek: Change index offset for generated key events.
    
    Since the first 8 elements in the xorg key map are NoSymbol, and the first
    linux kernel element index is 0, the first keysym is at offset 8 and not 7.
    
    Signed-off-by: Olivier Samyn <code@oleastre.be>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 823d606ca716253ac55ed46ee1559fd17adc0988
Author: Olivier Samyn <code@oleastre.be>
Date:   Sun Feb 21 00:17:57 2010 +0100

    aiptek: Correct linux keymap to keysym index loop.
    
    Makes the loop iterate over all elements of the linux key map, and if the
    current macroKey matches, generate a key event.
    
    Signed-off-by: Olivier Samyn <code@oleastre.be>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8b2eb587cc2ec96e54c28def4fa9388d7bd49c91
Author: Olivier Samyn <code@oleastre.be>
Date:   Wed Feb 17 21:35:11 2010 +0100

    aiptek: Uses event->code instead of event->value
    
    From the Linux input documentation, on a key press or release event,
    the actual key code is contained in the event->code field.
    
    Signed-off-by: Olivier Samyn <code@oleastre.be>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a7460d35743b7343a6dcce13f14cfd28428385bf
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:07 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2701762143f7ccdfb95e2b19f963b80d011a3f72
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:05:05 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 77d46f0a4527ba7919c58b13934a7b9a07a7a810
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 22:01:02 2009 -0500

    configure.ac: remove unused sdkdir=$(pkg-config...) statement
    
    The sdkdir variable isn't use, so remove the statement.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 7de1580b327e2395ae1e393c59c2e6900680981b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 4c6d7d9a91d35473de9fe8a2aac93747c0d794d1
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:41:40 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Automake 'foreign' option is specified in configure.ac.
    Remove from Makefile.am

commit 80327029754b63738ee21709b3847681df6278c5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:09 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 59bc379e87489f95f89851e2b5b27bdc680c656f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 12:54:20 2009 -0400

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.
    Update configure.ac to xorg-macros level 1.3.
    Use XORG_DEFAULT_OPTIONS which replaces four XORG_* macros
    Update Makefile.am to add ChangeLog target if missing
    Remove ChangeLog from EXTRA_DIST or *CLEAN variables
    This is a pre-req for the INSTALL_CMD

commit 7e2a262db906b8ac2d59c4ce3ba24312f3b5259f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:16 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 19ab688471916b0b4ab780ea39b60f2199234f54
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 11 12:04:00 2009 +1000

    aiptek 1.3.0

commit c6628efe89ba9f6d5274e4d5677c039cef89eb6f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 11 12:03:35 2009 +1000

    Require xorg-macros 1.3 for XORG_DEFAULT_OPTIONS.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 51ded98cc9643c6789d3297b4e60097fcb342cd5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 11 12:02:53 2009 +1000

    Remove some unused crap from configure.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ca98d5b84fa7e4ed4ea0ae09226728ba137f7c46
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 25 21:03:39 2009 +1000

    Hide the InitKeyClassDeviceStruct behind ABI ifdefs.
    
    Function was removed from the server a while ago.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3337f41ca5af021fb7ed8db0efc5e39f04e3d012
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 19 15:11:42 2009 +1000

    Reset local->private to NULL after freeing it. (#22693)
    
    If it's not NULL, xf86DeleteInput will try to free it again.
    
    X.Org Bug 22693 <http://bugs.freedesktop.org/show_bug.cgi?id=22693>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f440e333bb535854ed25e258fc502b1b6a8d5e44
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 22 14:12:23 2009 +1000

    Cope with ABI_XINPUT_VERSION 7 - requires button/axes labeling
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b4dfb51ee61f5c54134e5731e0581f9f74bc6829
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Feb 24 13:44:25 2009 +1000

    aiptek 1.2.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit acfbb985d63861cf414f568001a4bce89b75b0d9
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Feb 2 18:13:44 2009 -0200

    Janitor: rework make distcheck
    
      Don't use a static ChangeLog, and distribute the generated one.
      Use only one .gitignore file.
      Minor cleanup on configure.ac, aiming as similar as possible
    drivers configure.ac's.

commit 3c0327e190e134a4435b4c22238749fed12a6709
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Jan 29 15:11:26 2009 -0800

    Add README with pointers to mailing list, bugzilla & git repos

commit 8d05f481f0219dafed821b7cc89784afe73a5e24
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 9 16:10:14 2009 -0800

    Remove xorgconfig & xorgcfg from See Also list in man page

commit 9caf1a8372b5c9bae4032d256bb6065d8dbf26ba
Author: Peter Hutterer <peter.hutterer@redhat.com>
Date:   Thu Aug 14 15:01:28 2008 +0930

    Fix build, xf86Version.h has been superseeded by xorgVersion.h

commit 87a3bd344129c06e4f4f90b10d13347b77f2be93
Author: Julien Cristau <jcristau@debian.org>
Date:   Thu Jul 17 18:25:05 2008 +0200

    Link against -lm for sqrt()

commit 056b2a86085fd68f6408c53eb148284e2b506e77
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Mon May 26 22:01:29 2008 +0930

    Check for XINPUT ABI 3.

commit a92bf3b53a277928c94aa87f245ccf301c1e7a2d
Author: René van Paassen <Rene.vanPaassen@gmail.com>
Date:   Tue Jan 29 22:42:40 2008 +0100

    Bumped the version to 1.1.1
    
    This version is actually being tested/used by someone with a tablet (me)

commit 4a8945d179f3ca9c6ca3553d36ce9840228cf84f
Author: René van Paassen <repa@pascua.localdomain>
Date:   Tue Jan 29 22:32:04 2008 +0100

    added #if to handle MiPointer{Current|Get}Screen cases

commit 28269504679fd705f5666c450dbf862f91c8ca84
Author: René van Paassen <repa@pascua.localdomain>
Date:   Tue Jan 29 22:29:41 2008 +0100

    moved xf86AiptekClose after RemoveEnabled.., fixes crash VT switch

commit a23587a1eef2c256ae9d4184405efb74135e13d5
Author: René van Paassen <repa@pascua.localdomain>
Date:   Tue Jan 29 22:24:34 2008 +0100

    Converted xf86msg into debug messages, to prevent filling the log

commit 51a90b36853a98f6ec5f04c54a9d76fddcfa8ad6
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Jan 17 17:21:38 2008 +1030

    Don't worry about being core pointer if XInput API is > 0.
    
    Server 1.4 and above let all devices be XI devices and the core devices are
    virtual. So we don't have to worry about it in the driver.
    
    This should make the code compatible with both 1.3 and 1.4.

commit f424235dd26fa22bc3830cf9d884d7643abf3568
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Jan 17 13:24:46 2008 +1030

    Revert "Driver's don't have to worry about being core pointers anymore."
    There's a better way of doing things. See next commit.
    
    This reverts commit 66e0fbb24377ac14b9cf8a80a55253cff13d7913.

commit e34bc8e774d92bd81dcefbcd341ab3f040a7f144
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Jan 10 11:27:39 2008 +1030

    Remove redefinition of NEED_XF86_TYPES.

commit a88dafb63b0e0f3e4557ae75a3ee9a377ea4ef68
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Jan 10 11:26:49 2008 +1030

    miPointerCurrentScreen is deprecated, miPointerGetScreen is all the rage now.
    
    Untested due to lack of device.

commit 66e0fbb24377ac14b9cf8a80a55253cff13d7913
Author: Peter Hutterer <peter@cs.unisa.edu.au>
Date:   Thu Jan 10 11:25:58 2008 +1030

    Driver's don't have to worry about being core pointers anymore.
    
    The DDX will do the right job, no matter what events we post, so we don't need
    in-driver checks for whether to post proximity events or not.
    
    Untested due to a lack of device.

commit 3cb825cb4a633132de10df77e792fcbadf082385
Author: Rene van Paassen <rene.vanpaassen@gmail.com>
Date:   Thu Jan 10 11:23:06 2008 +1030

    Patch with a load of fixes, backported from aiptektablet.sourceforge.net
    
    Tested with re-branded aiptek 12000U

commit afedccae164668128c6228542585cc27d241b7e6
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:52:01 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 432145c8c4ec06710f139112aeee96fdc19c5f92
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Aug 23 19:25:19 2007 -0400

    Rename .cvsignore to .gitignore

commit 1733fc06082f982b0f0d57bac9632f3ece8f4c34
Author: Brice Goglin <bgoglin@debian.org>
Date:   Mon Aug 6 19:32:29 2007 +0200

    Use PACKAGE_VERSION_MAJOR/MINOR/PATCHLEVEL in xf86AiptekVersionRec

commit c0f5a94625ed8e7ab326b3b604e8f7461921c027
Author: Brice Goglin <bgoglin@debian.org>
Date:   Mon Aug 6 19:32:26 2007 +0200

    Fix 1.1.0 version in configure.ac

commit e65a8abb1da2058a5fefa60950054ed01ae2f467
Author: Adam Jackson <ajax@nwnk.net>
Date:   Fri Apr 7 16:50:50 2006 +0000

    Unlibcwrap. Bump server version requirement. Bump to 1.1.0.

commit 10f7f22a718f2242bda8d378795d3061767cbc4b
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:55 2005 +0000

    Update package version for X11R7 release.

commit 4331da985ae9d6a7b5d21eb0307827fb64aea1d1
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:25:49 2005 +0000

    Stub COPYING files

commit eaa1babb65d3db249f58526c26f78c98a4921a14
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Dec 19 09:07:49 2005 +0000

    Typo fixes, mailing list & url updates, and other changes to prepare for
        X11R6.9 & 7.0 releases.

commit c49c2d18eb645a863ca824bd898a512221ae6a0f
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:13 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 9faf2cecf235ef95c9e2700d3b2bd42633dc2b69
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:27 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit 5914bf9f7767403d884c86b9157f8280a4eb8bc1
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:29 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 6b51e42175b57bf88ded3f66e1354d7c1dbe281b
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Dec 2 02:16:04 2005 +0000

    Remove extraneous AC_MSG_RESULT.

commit 8c4ba228719a927a1a409fef1d59b5f1ae6320a3
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Nov 29 23:29:54 2005 +0000

    Only build dlloader modules by default.

commit 9ca454714cd4643f4dd5568124bbdd1e704f9ea0
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:04:05 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 7cebf35a1a62dd986f05f94ef075f748e6771b35
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:49:00 2005 +0000

    Add .cvsignores for drivers.

commit 09d0e1f5174d9379a6a62f6fcd421e40acb49600
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:15:10 2005 +0000

    Update package version number for X11R7 RC2 release.

commit d514546c3203b78ee5925e1f081353971f2c492d
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Nov 1 15:08:48 2005 +0000

    Update pkgcheck depedencies to work with separate build roots.

commit 97fd7aa3dc51fb0e3b7a6b27c3c73eb06cfbcbdd
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:59 2005 +0000

    Update package version number for RC1 release.

commit 9204bcbe32e91f7880b90a7a33f7372f3240fef6
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Tue Oct 18 00:01:50 2005 +0000

    Use @DRIVER_MAN_SUFFIX@ instead of $(DRIVER_MAN_SUFFIX) in macro
        substitutions to work better with BSD make

commit a6934ae32c03ee0cbb7df9ce86176862ae579be3
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Oct 17 22:57:25 2005 +0000

    More 1.7 braindamage: define EXTRA_DIST in terms of @DRIVER_NAME@ instead
        of indirectly

commit 06c97358d8fbc15458a229ed6d6e5f3ee328201f
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 00:08:53 2005 +0000

    Use sed & cpp to substitute variables in driver man pages

commit a58366783c50bd424e7ac36691e5b914d30771e4
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Aug 18 09:03:37 2005 +0000

    Update autogen.sh to one that does objdir != srcdir.

commit 9ee61601ca5b5f51f94a252676240031695f6678
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Aug 10 14:07:22 2005 +0000

    Don\'t lose existing CFLAGS in all the input drivers and some of the video
        drivers

commit 28ae25b20902189d5f7ad4a6f2d0932aa18be7b1
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:39 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit a0bc41b3458c985aff5fc745dd8ff10e04310c20
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 13 20:03:20 2005 +0000

    Make the module dir configurable

commit f9627bd4e6cb2a88c46fa7799def0bd1b99b186d
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 13 02:20:57 2005 +0000

    Update all input drivers to pass distcheck

commit b00537ba24d2ffc713faa71383e009518d2b5e42
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Jul 13 02:18:12 2005 +0000

    Change input drivers to get keysym's from <X11/keysym.h>.

commit da137dba6b2601717e3ff760e885eed7755c5a9a
Author: Adam Jackson <ajax@nwnk.net>
Date:   Tue Jul 12 06:15:07 2005 +0000

    Build skeletons for input drivers. Should basically work.

commit 4733f1c8fd451306b09c017bd7741a4e0fe337e4
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jul 11 02:37:58 2005 +0000

    Prep input drivers for modularizing by adding guarded #include "config.h"

commit 46d19bbd14e3a09222979cee955991e74458e668
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Fri Jul 1 22:43:22 2005 +0000

    Change all misc.h and os.h references to <X11/foo.h>.

commit 58696f4a73aac4d0c43094e20d59477ff1da8031
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Jun 27 18:32:53 2005 +0000

    Various input drivers set their InputDriverRec to be static when doing a
        loadable build, and the same symbol can't be both static and _X_EXPORT.
        Pointed out by Alan Coopersmith.

commit d6531729f026d500516a9740c22b2b7800917a5e
Author: Adam Jackson <ajax@nwnk.net>
Date:   Sat Jun 25 21:17:00 2005 +0000

    Bug #3626: _X_EXPORT tags for video and input drivers.

commit 71b8c6c2fcc8dcb899c641e405d60434d0add0c0
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:02 2004 +0000

    Merging XORG-CURRENT into trunk

commit 1d4b40f72f30d327e7bd8728e17779e1bbd683fa
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:33:51 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit f6478217d3b9ad9d36e6f83a7704338f17b0a5f3
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:30 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 58ee10b7d9fe3d1f3dc8063de302de33d1438002
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:00 2004 +0000

    readding XFree86's cvs IDs

commit 376ac8a52977f29d59d42a723a567d6babba56f6
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:34 2004 +0000

